package com.kfb.kfbv1.model;

import android.content.Context;
import android.os.Handler;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.kfb.kfbv1.KfbProgrsBar;
import com.kfb.kfbv1.MyItemRecyclerViewAdapter;



public class KfbModel {
    private static KfbModel mmodel;

    public static KfbModel getData()
    {
        if(mmodel==null)
        {
            mmodel = new KfbModel();
        }
        return mmodel;
    }

    private KfbModel()
    {
        mGates = new KfbGates();
        mMapColor = new KfbMapColor();
        mTablets = new KfbTablet();
    }
    // data private
    private KfbGates mGates;
    private KfbTablet mTablets;
    private MyItemRecyclerViewAdapter mAdapter;
    private KfbMapColor mMapColor;
    // data
    public boolean sendHttp;
    public KfbProgrsBar progresBar;
    public String  tekser;
    public boolean error;
    public Handler handler;
    public String url;
    public boolean s1;
    public Context context;

    public MyItemRecyclerViewAdapter getmAdapter() {
        return mAdapter;
    }

    public void setmAdapter(MyItemRecyclerViewAdapter mAdapter) {
        this.mAdapter = mAdapter;
    }

    public KfbGates getGates(){
        return mGates;
    }
    public KfbTablet getTabletss(){
        return mTablets;
    }
public void clear(){
    mGates = new KfbGates();
}
    public KfbMapColor getMapColor(){
        return mMapColor;
    }
}
